Skip to main content
POST /v1/payments/notifyRefund A notification endpoint implemented by the merchant following the specification below. Rebell notifies the merchant of the refund result after the fund processing for the refund succeeds or fails. All monetary values are expressed in the smallest currency unit (euro cents): 150 EUR is sent as 15000.
Rebell may send the same notification more than once. Handle it idempotently using refundRequestId (see Idempotency).

Request Parameters

string
Wallet-generated unique refund ID.Max length: 64 characters
string
Merchant-generated unique refund ID.Max length: 64 characters
object
Refund amount with currency in smallest units. See Amount.
string
Reason for the refund.Max length: 256 characters
string
Timestamp when money is successfully deducted from the merchant, in ISO 8601 format.
string
Refund status:
  • SUCCESS: the refund succeeded
  • FAIL: the refund failed
string
The contribution account of this refund transaction: MPA or MRBA. Defaults to MPA if the merchant did not send it in the refund request.

Response Parameters

object
required
Standard result object with resultCode, resultStatus, resultMessage
Return resultStatus = S to confirm that you have received the notification.

Result Codes

Sample

Request

Response